import request from '@/utils/request'

// 查询地图列列表
export function listMap(query) {
  return request({
    url: '/system/map/list',
    method: 'get',
    params: query
  })
}

// 查询地图列详细
export function getMap(id) {
  return request({
    url: '/system/map/' + id,
    method: 'get'
  })
}

// 新增地图列
export function addMap(data) {
  return request({
    url: '/system/map',
    method: 'post',
    data: data
  })
}

// 修改地图列
export function updateMap(data) {
  return request({
    url: '/system/map',
    method: 'put',
    data: data
  })
}

// 删除地图列
export function delMap(id) {
  return request({
    url: '/system/map/' + id,
    method: 'delete'
  })
}
